### Class

# Clutter ColorStateParams

#### Description

    final class Clutter.ColorStateParams : Clutter.ColorState
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- ClutterColorState
- GObject

#### Constructors

###### clutter_color_state_params_new

Create a new ClutterColorStateParams object.

###### clutter_color_state_params_new_from_primitives

Create a new ClutterColorState object using the color primitives.

###### clutter_color_state_params_new_full

Create a new ClutterColorStateParams object with all possible parameters. Some arguments might not be valid to set with other arguments.

#### Instance methods

###### clutter_color_state_params_get_colorimetry

No description available.

###### clutter_color_state_params_get_eotf

No description available.

###### clutter_color_state_params_get_luminance

No description available.

##### Methods inherited from ClutterColorState (8)

###### clutter_color_state_add_pipeline_transform

No description available.

###### clutter_color_state_do_transform

No description available.

###### clutter_color_state_equals

No description available.

###### clutter_color_state_get_blending

Retrieves a variant of `color_state` that is suitable for blending. This usually is a variant with linear transfer characteristics. If `color_state` already is a `ClutterColorState` suitable for blending, then `color_state` is returned.

###### clutter_color_state_get_id

No description available.

###### clutter_color_state_required_format

No description available.

###### clutter_color_state_to_string

No description available.

###### clutter_color_state_update_uniforms

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from ClutterColorState (1)

###### Clutter.ColorState:context

The associated ClutterContext.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterColorStateParamsClass {
      ClutterColorStateClass parent_class;

    }

No description available.

###### Class members

`parent_class: ClutterColorStateClass`

  No description available.